Bug 133434 - cannot do http install (ftp works)
cannot do http install (ftp works)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 19:29 EDT by Jason
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 21:48:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason 2004-09-23 19:29:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
I cannot install FC3T2 using http.  If I choose ftp it works.  The
webserver is iis 6.  I get an error saying unable to retrieve stage2.img

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  try to install FC3T2 (or FC2) using http from an iis server
2.
3.
    

Actual Results:  I get an error saying unable to retrieve stage2.img

Expected Results:  the install should get the img file and proceed

Additional info:
Comment 1 Jeremy Katz 2004-09-24 12:13:53 EDT
Can you look at the logs on the web server to see if there are any
errors?  
Comment 2 Jason 2004-09-27 12:49:13 EDT
Here is the IIS log.  I think I have an idea about what is going on,
but I have to go.  I will post the idea a little later.  This is not
an NTFS permission problem.

2004-09-27 16:43:54 192.168.8.253 GET /fedora3/Fedora/base/updates.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:43:54 192.168.8.253 GET
/fedora3/disc1/Fedora/base/updates.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:43:54 192.168.8.253 GET /fedora3/Fedora/base/product.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:43:54 192.168.8.253 GET
/fedora3/disc1/Fedora/base/product.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:43:54 192.168.8.253 GET /fedora3/Fedora/base/stage2.img
- 80 - 192.168.8.51 - 404 3 64
2004-09-27 16:43:54 192.168.8.253 GET
/fedora3/disc1/Fedora/base/stage2.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:44:58 192.168.8.253 GET /fedora3/Fedora/base/updates.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:44:58 192.168.8.253 GET
/fedora3/disc1/Fedora/base/updates.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:44:58 192.168.8.253 GET /fedora3/Fedora/base/product.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:44:58 192.168.8.253 GET
/fedora3/disc1/Fedora/base/product.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:44:58 192.168.8.253 GET /fedora3/Fedora/base/stage2.img
- 80 - 192.168.8.51 - 404 3 64
2004-09-27 16:44:58 192.168.8.253 GET
/fedora3/disc1/Fedora/base/stage2.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:00 192.168.8.253 GET /fedora3/Fedora/base/updates.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:00 192.168.8.253 GET
/fedora3/disc1/Fedora/base/updates.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:00 192.168.8.253 GET /fedora3/Fedora/base/product.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:00 192.168.8.253 GET
/fedora3/disc1/Fedora/base/product.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:00 192.168.8.253 GET /fedora3/Fedora/base/stage2.img
- 80 - 192.168.8.51 - 404 3 64
2004-09-27 16:45:00 192.168.8.253 GET
/fedora3/disc1/Fedora/base/stage2.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:02 192.168.8.253 GET /fedora3/Fedora/base/updates.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:02 192.168.8.253 GET
/fedora3/disc1/Fedora/base/updates.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:02 192.168.8.253 GET /fedora3/Fedora/base/product.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:02 192.168.8.253 GET
/fedora3/disc1/Fedora/base/product.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:02 192.168.8.253 GET /fedora3/Fedora/base/stage2.img
- 80 - 192.168.8.51 - 404 3 64
2004-09-27 16:45:02 192.168.8.253 GET
/fedora3/disc1/Fedora/base/stage2.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:03 192.168.8.253 GET /fedora3/Fedora/base/updates.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:03 192.168.8.253 GET
/fedora3/disc1/Fedora/base/updates.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:03 192.168.8.253 GET /fedora3/Fedora/base/product.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:03 192.168.8.253 GET
/fedora3/disc1/Fedora/base/product.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:03 192.168.8.253 GET /fedora3/Fedora/base/stage2.img
- 80 - 192.168.8.51 - 404 3 64
2004-09-27 16:45:03 192.168.8.253 GET
/fedora3/disc1/Fedora/base/stage2.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:05 192.168.8.253 GET /fedora3/Fedora/base/updates.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:05 192.168.8.253 GET
/fedora3/disc1/Fedora/base/updates.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:05 192.168.8.253 GET /fedora3/Fedora/base/product.img
- 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:05 192.168.8.253 GET
/fedora3/disc1/Fedora/base/product.img - 80 - 192.168.8.51 - 404 0 64
2004-09-27 16:45:05 192.168.8.253 GET /fedora3/Fedora/base/stage2.img
- 80 - 192.168.8.51 - 404 3 64
2004-09-27 16:45:05 192.168.8.253 GET
/fedora3/disc1/Fedora/base/stage2.img - 80 - 192.168.8.51 - 404 0 64
Comment 3 Jason 2004-09-27 15:25:39 EDT
As you can see from the above logs, none of the img files are being
transfered to the client.   The message that the system was unable to
retreeive stage2.img is misleading.  There really should be three
messages and maybe have the error message returned by the server in
the message.  Here is the information I have figured out: for IIS 6
MIME types needs to be added or changed on the webserver.

Please add to the release notes if you are going to use an IIS 6
server you MUST add the following MIME types to the server so installs
will work.  IIS will only serve files that it knows about.  This is
one of IIS 6's new security features.  

So far I have figured out the that the following MIME types need to be
added or changed.  I am sure more will have to be added to this list:

hdr application/octet-stream - only need if you want to up2date
against the server

img application/octet-stream - needed to install from server

rpm application/octet-stream - change to application/octet-stream so
the file format is correct.  IIS sets rpm to realplayer by default.

info needs to be added if you want to up2date against the server, but
I have not figured out what the MIME type for this file is.  Do you
know what the MIME for header.info should be?

Thanks,

Jason
Comment 4 Jeremy Katz 2004-09-27 21:48:05 EDT
Sounds like an IIS bug.  
Comment 5 Jason 2004-09-28 11:02:10 EDT
It is more like a security feature.  Will you please include a couple
sentences about having to add or change MIME type settings for IIS 6
in the release notes?  I would like to save other administrators some
head aches.

Note You need to log in before you can comment on or make changes to this bug.